> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search GSTIN

> Get taxpayer and transporter details by passing the GSTIN. The data is fetched from the IRP database and not GST Network database.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/search_gstin.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/tax-payer/gstin/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/tax-payer/gstin/search:
    post:
      tags:
        - E-Way Bill1
        - Common
      summary: Search GSTIN
      operationId: searchGstin2
      parameters:
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - gstin
              properties:
                gstin:
                  type: string
                  description: GSTIN of the taxpayer
            examples:
              200 GSTIN details fetched:
                value:
                  gstin: 29AAACQ3770E000
                summary: 200 GSTIN details fetched
              325 Could not retrieve data:
                value:
                  gstin: 27DMOPD7318K2ZL
                summary: 325 Could not retrieve data
      responses:
        '200':
          description: 200 GSTIN details fetched / 325 Could not retrieve data
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          address1:
                            type: string
                            example: ''
                          address2:
                            type: string
                            example: '560009'
                          blkStatus:
                            type: string
                            example: ''
                          gstin:
                            type: string
                            example: 29AAACQ3770E000
                          legalName:
                            type: string
                            example: Acme Industries Private Limited
                          pinCode:
                            type: string
                            example: '560009'
                          stateCode:
                            type: string
                            example: '27'
                          status:
                            type: string
                            example: ACT
                          tradeName:
                            type: string
                            example: ''
                          txpType:
                            type: string
                            example: REG
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '325'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: c882b9b8-08c4-4bb7-b0aa-9f61ef6c4d21
              examples:
                200 GSTIN details fetched:
                  summary: 200 GSTIN details fetched
                  value:
                    code: 200
                    data:
                      data:
                        address1: ''
                        address2: '560009'
                        blkStatus: ''
                        gstin: 29AAACQ3770E000
                        legalName: Acme Industries Private Limited
                        pinCode: '560009'
                        stateCode: '27'
                        status: ACT
                        tradeName: ''
                        txpType: REG
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: c882b9b8-08c4-4bb7-b0aa-9f61ef6c4d21
                325 Could not retrieve data:
                  summary: 325 Could not retrieve data
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '325'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 31de47c7-fcd6-4cf3-885b-b1c875f769a6
          headers: {}
      deprecated: false
      security: []

````